%define major 2
%define libname %mklibname ctpl %major
%define libname_devel %mklibname -d ctpl

Name:          ctpl
Version:       0.3.5
Release:       %mkrel 1
Summary:       Template library and engine written in C
Group:         System/Libraries
License:       GPLv3+
Url:           https://ctpl.tuxfamily.org/
Source0:       https://download.tuxfamily.org/ctpl/releases/ctpl-%{version}.tar.gz

BuildRequires: glibc-devel
BuildRequires: gtk-doc
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(glib-2.0)

%description
CTPL is a template library written in C. It allows fast and easy parsing of
templates from many sources (including in-memory data and local and remote
streaming, thanks to GIO) and fine control over template parsing environment.

CTPL has following features:
* It is a library, then it can be easily used from programs
* Separated lexer and parser
* It is written in portable C
* Simple syntax
* Fast and strict parsing
* Possible in-memory parsing, allowing non-file data parsing and avoiding
I/O-latency, through GIO's GMemoryInputStream and GMemoryOutputStream

%package -n %libname
Group:         System/Libraries
Summary:       Template library written in C

%description -n %libname
CTPL is a template library written in C.

This package contains the CTPL library.

%package -n %libname_devel
Group:         Development/C
Summary:       Devel package for the CTPL library
Requires:      %libname = %{?epoch:%epoch:}%{version}-%{release}
Provides:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description -n %libname_devel
CTPL is a template library written in C.

This package contains the development headers of the CTPL library.

%package doc
Group:         Development/C
Summary:       Documentation for the CTPL library
Requires:      %libname = %{?epoch:%epoch:}%{version}-%{release}

%description doc
CTPL is a template library written in C.

This package contains the HTML documentation reference for the CTPL library.

%prep
%setup -q
# package with autotools
rm -f waf
rm -f wscript

%build

%configure \
  --enable-gtk-doc \
  --docdir=%{_docdir}/%{name}
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install

# the --docdir flag is not working correctly,
mkdir -p %{buildroot}%{_docdir}/%{name}
install -pm 644 AUTHORS COPYING NEWS HACKING TODO README THANKS %{buildroot}%{_docdir}/%{name}
rm -rf $(find %{buildroot} -name "*.a")
rm -rf $(find %{buildroot} -name "*.la")
%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files -n %libname
%{_libdir}/lib%{name}.so.*
%{_docdir}/%{name}/AUTHORS
%{_docdir}/%{name}/COPYING
%{_docdir}/%{name}/NEWS

%files -n %libname_devel
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_docdir}/%{name}/HACKING
%{_docdir}/%{name}/TODO

%files doc
%{_datadir}/gtk-doc/html/%{name}
%{_docdir}/%{name}/README
%{_docdir}/%{name}/THANKS


%changelog
* Tue Aug 20 2024 mrambo3501 <mrambo3501> 0.3.5-1.mga10
+ Revision: 2087187
-version 0.3.5

* Mon Mar 14 2022 umeabot <umeabot> 0.3.4-5.mga9
+ Revision: 1791735
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.3.4-4.mga8
+ Revision: 1511682
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.3.4-3.mga7
+ Revision: 1297344
- Mageia 7 Mass Rebuild

* Thu Feb 11 2016 umeabot <umeabot> 0.3.4-2.mga6
+ Revision: 953647
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 shlomif <shlomif> 0.3.4-1.mga6
+ Revision: 839188
- New version 0.3.4

* Wed Oct 15 2014 umeabot <umeabot> 0.3.2-6.mga5
+ Revision: 740076
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 0.3.2-5.mga5
+ Revision: 693705
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.3.2-4.mga5
+ Revision: 678611
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.2-3.mga4
+ Revision: 503633
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.3.2-2.mga3
+ Revision: 348389
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 gil <gil> 0.3.2-1.mga2
+ Revision: 172164
- imported package ctpl

